Show / Hide Table of Contents

# Struct EmbedVideo

A video featured in an Embed.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public struct EmbedVideo

### Properties

| Improve this Doc View Source

#### Height

Gets the height of the video.

##### Declaration

    public int? Height { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | A System.Int32 representing the height of this video if it can be retrieved; otherwise `null`.

| Improve this Doc View Source

#### Url

Gets the URL of the video.

##### Declaration

    public string Url { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the URL of the image.

| Improve this Doc View Source

#### Width

Gets the weight of the video.

##### Declaration

    public int? Width { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | A System.Int32 representing the width of this video if it can be retrieved; otherwise `null`.

### Methods

| Improve this Doc View Source

#### ToString()

Gets the URL of the video.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | A string that resolves to Url.

##### Overrides

System.ValueType.ToString()